<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Knight
 */

$background_color_single_post = get_post_meta($post->ID, 'knight_background_color', true);
$text_color_single_post = get_post_meta($post->ID, 'knight_text_color', true);
$audio_article_class = "";
if (!empty($background_color_single_post)) {
    $audio_article_class = "article-has-bg";
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="twp-article-wrapper content-no-image">
        <?php if (!is_single()) {
            booster_extension_filters();
            $content = apply_filters('the_content', get_the_content());
            $audio = false;
            if (false === strpos($content, 'wp-playlist-script')) {
                $audio = get_media_embedded_in_content($content, array('audio'));
            }
            ?>
            <div class="entry-content twp-entry-content">
                <div class="twp-text-align">
                    <?php
                    if (!empty($audio)) {
                        foreach ($audio as $audio_html) {
                            echo '<div class="entry-audio">';
                            echo $audio_html;
                            echo '</div><!-- .entry-audio -->';
                            break;
                        }
                    }
                    ?>
                </div>
            </div><!-- .entry-content -->
            <div class="twp-knight-article <?php echo esc_attr($audio_article_class); ?>" style="background-color: <?php echo $background_color_single_post; ?>; color: <?php echo $text_color_single_post; ?>;">
                <header class="article-header">
                    <div class="entry-meta">
                        <?php knight_posted_details(); ?>
                        <span class="post-category primary-font">
                            <?php knight_entry_category(); ?>
                        </span>
                    </div>
                    <h2 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h2>
                </header>
            </div>
        <?php } else { ?>
            <div class="entry-content twp-entry-content">
                <div class="twp-text-align">
                    <?php
                    the_content();
                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'knight'),
                        'after' => '</div>',
                    ));
                    ?>
                </div>
            </div><!-- .entry-content -->
        <?php } ?>
        <?php if (is_single()) { ?>
            <div class="single-meta">
                <?php if (has_tag()) { ?>
                    <div class="post-tags primary-bgcolor">
                        <?php knight_entry_tags(); ?>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>
    </div>
</article><!-- #post-## -->
