<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Knight
 */

$background_color_single_post = get_post_meta($post->ID, 'knight_background_color', true);
$text_color_single_post = get_post_meta($post->ID, 'knight_text_color', true);
$gallery_article_class = "";

if (!empty($background_color_single_post)) {
    $gallery_article_class = "article-has-bg";
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="twp-article-wrapper">
        <?php if (!is_single()) { ?>
        <?php booster_extension_filters(); ?>

        <?php if (has_block('core/gallery', get_the_content())) { ?>
            <?php knight_print_first_instance_of_block('core/gallery', get_the_content()); ?>
        <?php } elseif (get_post_gallery()) { ?>
            <div class="entry-gallery">
                <?php echo get_post_gallery(); ?>
            </div>
        <?php } elseif (has_post_thumbnail()) { ?>
            <div class='twp-content-image'>
                <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                    <?php the_post_thumbnail('knight-archive-post'); ?>
                </a>
            </div>
        <?php } ?>


        <?php if (!empty($background_color_single_post)) { ?>
        <div class="twp-knight-article <?php echo $gallery_article_class; ?>" style="background-color: <?php echo $background_color_single_post; ?>; color: <?php echo $text_color_single_post; ?>;">
            <?php } else { ?>
            <div class="twp-knight-article">
                <?php } ?>

                <header class="article-header">
                    <div class="entry-meta">
                        <?php knight_posted_details(); ?>
                        <span class="post-category primary-font">
                        <?php knight_entry_category(); ?>
                    </span>
                    </div>
                    <h2 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h2>
                </header>
            </div>
            <?php } else { ?>
                <div class="entry-content twp-entry-content">
                    <div class="twp-text-align">
                        <?php
                        the_content();
                        wp_link_pages(array(
                            'before' => '<div class="page-links">' . esc_html__('Pages:', 'knight'),
                            'after' => '</div>',
                        ));
                        ?>
                    </div>
                </div><!-- .entry-content -->
            <?php } ?>

            <?php if (is_single() && has_tag()) { ?>
                <div class="single-meta">
                    <div class="post-tags primary-bgcolor">
                        <?php knight_entry_tags(); ?>
                    </div>
                </div>
            <?php } ?>
        </div>
</article><!-- #post-## -->