<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Knight
 */

$background_color_single_post = get_post_meta($post->ID, 'knight_background_color', true);
$text_color_single_post = get_post_meta($post->ID, 'knight_text_color', true);
$video_article_class = "";
if (!empty($background_color_single_post)) {
    $video_article_class = "article-has-bg";
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="twp-article-wrapper content-no-video">
        <?php if (!is_single()) {
            booster_extension_filters();
            $content = apply_filters('the_content', get_the_content());
            $video = false;
            if (false === strpos($content, 'wp-playlist-script')) {
                $video = get_media_embedded_in_content($content, array('video', 'object', 'embed', 'iframe'));
            }
            ?>
            <?php
            if (!empty($video)) { ?>
                <div class="twp-content-video">
                    <?php
                    echo $video[0];
                    ?>
                </div>
            <?php } elseif (has_post_thumbnail()) { ?>
                <div class="twp-content-image">
                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                        <?php the_post_thumbnail('knight-archive-post'); ?>
                    </a>
                </div>
            <?php } ?>
            <div class="twp-knight-article <?php echo esc_attr($video_article_class); ?>" style="background-color: <?php echo $background_color_single_post; ?>; color: <?php echo $text_color_single_post; ?>;">
                <header class="article-header">
                    <div class="entry-meta">
                        <?php knight_posted_details(); ?>
                        <span class="post-category primary-font">
                            <?php knight_entry_category(); ?>
                        </span>
                    </div>
                    <h2 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h2>
                </header>
            </div>
        <?php } else { ?>
            <div class="entry-content twp-entry-content">
                <div class="twp-text-align">
                    <?php
                    the_content();
                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'knight'),
                        'after' => '</div>',
                    ));
                    ?>
                </div>
            </div><!-- .entry-content -->
        <?php } ?>
        <?php if (is_single()) {
            do_action('knight_related_posts'); ?>
            <div class="single-meta">
                <?php if (has_tag()) { ?>
                    <div class="post-tags primary-bgcolor">
                        <?php knight_entry_tags(); ?>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>
    </div>
</article><!-- #post-## -->